#define MAXLEN 10  //max number of lines in interface

static struct 
{   char key[2];
    char name[16];
    char desc[31];
    char path[971];
    char acl[64][9];
} intline[MAXLEN];
static int maxi,maxz;            
/*config file loading*/
static void fconfload(char *path)
{
    char buf[MAXLEN][1600];
    char *p;
    char *q;
    char *last;
    int i,x,z;    
    FILE *fp = 0;
    
    i=0;
    fp = fopen(path,"r");
    if(fp==NULL)
    {
    	printf("Error in loading %s: %s\n",path,strerror(errno));
        exit(1);
    }
    
    for(i=0;fgets(buf[i],sizeof(buf[i]),fp) != NULL;i++)
    {
        if(!strchr(buf[i],':'))
	{
	    i--;
	    continue;
	}

        for(x=0,(p=strtok_r(buf[i],":",&last));p;
	(p=strtok_r(NULL,":",&last)),x++){
        switch(x){
	    case 0 : strncpy(intline[i].key,p,sizeof(intline[i].key)); 
	             intline[i].key[sizeof(intline[i].key)-1]='\0'; 
                     break;
            case 1 : strncpy(intline[i].name,p,sizeof(intline[i].name)); 
	             intline[i].name[sizeof(intline[i].name)-1]='\0';
		     break;
	    case 2 : strncpy(intline[i].desc,p,sizeof(intline[i].desc)); 
	             intline[i].desc[sizeof(intline[i].desc)-1]='\0';
                     break;
	    case 3 : strncpy(intline[i].path,p,sizeof(intline[i].path)); 
	             intline[i].path[sizeof(intline[i].path)-1]='\0';
		     break;
            case 4 : for(z=0,(q=strtok_r(p," ",&last));q;
		     (q=strtok_r(NULL," ",&last)),z++){
                          strncpy(intline[i].acl[z],q,sizeof(intline[i].acl[z]));
			  intline[i].acl[z][sizeof(intline[i].acl[z])-1]='\0';
                          if(intline[i].acl[z][strlen(intline[i].acl[z])-1]=='\n')
				intline[i].acl[z][strlen(intline[i].acl[z])-1]='\0';	  
		          
	             }
		     maxz=z; 
		     break;	 	 
        }
        
	}
        if(x!=5)
	{
	    printf("Error in config on line %d.\n",i+1);
	    exit(1);
	}
    }
    maxi=i;    
}
 	    
